<?php
class Scheibe {
	public $shoots = array();
	var $scale;
	var $type;
	var $output;
	function __construct( $overide_type=false,$overide_scale=false ) {
		$this->scale=1;
		$this->type="LG";
		if ($overide_type) {
			$this->type=$overide_type;
		}
		if ($overide_scale) {
			$this->scale=$overide_scale;
		}
	}

	function set_scale($factor) {
		$this->scale=$faktor;
	}

	function add_shoot($x,$y) {
		$this->shoots[] = array($x/10,$y/10);
	}

	function render_LG() {
		$csize=$this->scale*455;
		$output = '<canvas id="scheibe" width="'.$csize.'" height="'.$csize.'" style="border:1px solid #d3d3d3; background-color: #efc998 ;"> Your browser does not support the HTML5 canvas tag.</canvas>'."\n";
		$output .='<script>
function draw_scheibe() {
  var c = document.getElementById("scheibe");
  var ctx = c.getContext("2d");
  var background = new Image();
  background.src = "LG-455px.svg";
  ctx.scale('.$this->scale.",".$this->scale.');
  background.onload = function(){
    ctx.drawImage(background,0,0); ';
  $output .= "\n";
		foreach ( $this->shoots as $shoot ) {
			$x=$shoot[0]+227;
			$y=$shoot[1]+227;
			$output .= '    ctx.beginPath();'."\n".'    ctx.fillStyle="#aaaaaa";'."\n".'    ctx.strokeStyle="#666666";'."\n";
			$output .= '    ctx.arc('.$x.','.$y.',22.5,0, 2 * Math.PI);'."\n";
			$output .= '    ctx.fill()'."\n".'    ctx.stroke();'. "\n";
		}
		$output .= "}\n";
		return $output;
	}

	function render_LP() {
    // LP hat 155,5mm durchmesser - 1555px - Darstellung mit einem Drittel = 518px
		$csize=$this->scale*518;
		$output = '<canvas id="scheibe" width="'.$csize.'" height="'.$csize.'" style="border:1px solid #d3d3d3; background-color: #efc998 ;"> Your browser does not support the HTML5 canvas tag.</canvas>'."\n";
		$output .='<script>
function draw_scheibe() {
  var c = document.getElementById("scheibe");
  var ctx = c.getContext("2d");
  var background = new Image();
  background.src = "LP-1555px.svg";
  ctx.scale('.$this->scale.",".$this->scale.');
  background.onload = function(){
    ctx.drawImage(background,0,0,518,518); ';
  $output .= "\n";
		foreach ( $this->shoots as $shoot ) {
			$x=$shoot[0]/3+259;
			$y=$shoot[1]/3+259;
			$output .= '    ctx.beginPath();'."\n".'    ctx.fillStyle="#aaaaaa";'."\n".'    ctx.strokeStyle="#666666";'."\n";
			$output .= '    ctx.arc('.$x.','.$y.',7.5,0, 2 * Math.PI);'."\n";
			$output .= '    ctx.fill()'."\n".'    ctx.stroke();'. "\n";
		}
		$output .= "}\n";
		return $output;
	}

	function render() {
	#	$this->create_test_shoot();
//		$csize=$this->scale*455;
//		$output = '<canvas id="scheibe" width="'.$csize.'" height="'.$csize.'" style="border:1px solid #d3d3d3; background-color: #efc998 ;"> Your browser does not support the HTML5 canvas tag.</canvas>'."\n";
		if ($this->type == "LG") {
			$output .= $this->render_LG();
		} else {
			$output .= $this->render_LP();
		}
		$output .= "}\nwindow.onload =draw_scheibe();\n</script>\n";

		return $output;
	}
}
		
