#!/usr/bin/perl -w
use strict;
use lib ".";
use warnings;
use DBI;
use gsConfig;
use gsFunctions;

my ($db2_user, $db2_name, $db2_passwd, $db2_host, $db2_port) = @WERTUNGDB;

my $dbh2 = DBI->connect("DBI:mysql:database=$db2_name;host=$db2_host;port=$db2_port", "$db2_user", "$db2_passwd");

doLog 3, "Leere Tabelle Vereine";
my $db2_query = $dbh2->prepare("TRUNCATE Vereine");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle Scheiben";
$db2_query = $dbh2->prepare("TRUNCATE Scheiben");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle Serien";
$db2_query = $dbh2->prepare("TRUNCATE Serien");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle Teilnehmer";
$db2_query = $dbh2->prepare("TRUNCATE Teilnehmer");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle Statistik";
$db2_query = $dbh2->prepare("TRUNCATE Statistik");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle TeilerP";
$db2_query = $dbh2->prepare("TRUNCATE TeilerP");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle SerienP";
$db2_query = $dbh2->prepare("TRUNCATE SerienP");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle Treffer";
$db2_query = $dbh2->prepare("TRUNCATE Treffer");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle Preise";
$db2_query = $dbh2->prepare("TRUNCATE Preise");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Leere Tabelle GesPreise";
$db2_query = $dbh2->prepare("TRUNCATE GesPreise");
$db2_query->execute() or die $db2_query->err_str;
$dbh2->disconnect();

