#!/usr/bin/perl -w
use strict;
use lib ".";
use warnings;
use DBI;
use gsConfig;
use gsFunctions;

my ($db1_user, $db1_name, $db1_passwd, $db1_host, $db1_port) = @SMDB;
my ($db2_user, $db2_name, $db2_passwd, $db2_host, $db2_port) = @WERTUNGDB;

my $dbh1 = DBI->connect("DBI:mysql:database=$db1_name;host=$db1_host;port=$db1_port", "$db1_user", "$db1_passwd");
my $dbh2 = DBI->connect("DBI:mysql:database=$db2_name;host=$db2_host;port=$db2_port", "$db2_user", "$db2_passwd");
my $dbh3 = DBI->connect("DBI:mysql:database=$db1_name;host=$db1_host;port=$db1_port", "$db1_user", "$db1_passwd");

my ($VS, $VE) = split (';',$VereinsIDrange);
my $db1_query = $dbh1->prepare("SELECT VereinsID, VereinsName from Verein WHERE VereinsID >= '$VS' AND VereinsID <= '$VE'");

$db1_query->execute() or die $db1_query->err_str;

my $inssql;
my $db2_query;
my $db3_query;
my $Mitglieder;
my $Sort;
doLog 3, "Leere Tabelle Vereine";
$db2_query = $dbh2->prepare("TRUNCATE Vereine");
$db2_query->execute() or die $db2_query->err_str;
doLog 3, "Start - Estelle Tabelle Vereine";

while (my ($VereinsID, $VereinsName) = $db1_query->fetchrow_array() ) {
    $db3_query = $dbh3->prepare("SELECT count(*) from Schuetze where VereinsID = '$VereinsID'");
    $db3_query->execute() or die $db3_query->err_str;
    $Mitglieder=$db3_query->fetchrow_array();
    $db3_query->finish;
    if ($VereinsID == $Gastgeberverein) { $Sort = 1; } else { $Sort = 0; }

    $inssql="INSERT INTO Vereine (VereinsID, VereinsName, Mitglieder, Sort) VALUES ('$VereinsID', '$VereinsName', '$Mitglieder', '$Sort') ON DUPLICATE KEY UPDATE VereinsName = '$VereinsName', Mitglieder='$Mitglieder', Sort='$Sort'";
    $db2_query = $dbh2->prepare($inssql);
    $db2_query->execute() or die $db2_query->err_str;
    doLog 4, $inssql
}
doLog 3, "Ende - Estelle Tabelle Vereine";

$dbh1->disconnect();
$dbh2->disconnect();
$dbh3->disconnect();

