#!/usr/bin/perl -w
use strict;
use lib ".";
use warnings;
use DBI;
use gsConfig;
use gsFunctions;

my ($db1_user, $db1_name, $db1_passwd, $db1_host, $db1_port) = @WERTUNGDB;

my $dbh1 = DBI->connect("DBI:mysql:database=$db1_name;host=$db1_host;port=$db1_port", "$db1_user", "$db1_passwd");


my $line;
my ($Disziplin, $Platz, $PlatzP, $Preis);
my $inssql;
my $db1_query;
doLog 3, "Leere Tabelle Preise";
$db1_query = $dbh1->prepare("TRUNCATE Preise");
$db1_query->execute() or die $db1_query->err_str;
doLog 3, "Start - Import Tabelle Preise";

open(INFILE, "Preisgelder.csv") or die("Could not open File Preisgelder.csv"); 

foreach $line (<INFILE>) {
	chomp $line;
	($Disziplin, $Platz, $PlatzP, $Preis) = split(";",$line);

    $inssql="INSERT INTO Preise (Disziplin, Platz, PlatzP, Preis) VALUES ('$Disziplin', '$Platz', '$PlatzP', '$Preis')";
    $db1_query = $dbh1->prepare($inssql);
    $db1_query->execute() or die $db1_query->err_str;
    doLog 4, $inssql
}
doLog 3, "Ende - Import Tabelle Preise";

$dbh1->disconnect();

