-- MySQL dump 10.16  Distrib 10.1.41-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: gs2020
-- ------------------------------------------------------
-- Server version	10.1.41-MariaDB-0ubuntu0.18.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Einstellungen`
--

DROP TABLE IF EXISTS `Einstellungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Einstellungen` (
  `Name` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `String` varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Zeit` datetime DEFAULT NULL,
  PRIMARY KEY (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Einstellungen`
--

LOCK TABLES `Einstellungen` WRITE;
/*!40000 ALTER TABLE `Einstellungen` DISABLE KEYS */;
INSERT INTO `Einstellungen` VALUES ('Jugendklassen','Klasse=\'Schüler weibl.\' OR Klasse=\'Schüler männl.\' OR Klasse=\'Jugend weibl.\' OR Klasse=\'Jugend männl.\' OR Klasse=\'Junioren II weibl.\' OR Klasse=\'Junioren II männl.\'',NULL),('LastUpdate',NULL,'2019-03-31 18:01:07');
/*!40000 ALTER TABLE `Einstellungen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `GesPreise`
--

DROP TABLE IF EXISTS `GesPreise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `GesPreise` (
  `Platz` int(11) DEFAULT NULL,
  `Typ` varchar(10) DEFAULT NULL,
  `Preis` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Gesellschaftspreise';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `GesPreise`
--

LOCK TABLES `GesPreise` WRITE;
/*!40000 ALTER TABLE `GesPreise` DISABLE KEYS */;
/*!40000 ALTER TABLE `GesPreise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Listen`
--

DROP TABLE IF EXISTS `Listen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Listen` (
  `Disziplin` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `DisziplinID` int(11) DEFAULT NULL,
  `Typ` varchar(36) CHARACTER SET ucs2 COLLATE ucs2_unicode_ci DEFAULT NULL,
  `ShortDesc` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LongDesc` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Praemie` varchar(11) COLLATE utf8_unicode_ci DEFAULT NULL,
  `THCol` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `SqlStr` varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Listen`
--

LOCK TABLES `Listen` WRITE;
/*!40000 ALTER TABLE `Listen` DISABLE KEYS */;
INSERT INTO `Listen` VALUES ('M-LG-Meister',21,'Meister','02-LG-Meister','02 - Luftgewehr Meisterscheibe','No',NULL,NULL),('M-LP-Meister',41,'Meister','04-LP-Meister','04 - Luftpistole Meisterscheibe','No',NULL,NULL),('M-LG-Meister',22,'Meister','02-LG-Meister Prämie','02 - Luftgewehr Meisterscheibe Prämie','Yes',NULL,NULL),('M-LP-Meister',42,'Meister','04-LP-Meister Prämie','04 - Luftpistole Meisterscheibe Prämie','Yes',NULL,NULL),('P-LG-Punkt',11,'Punkt','01-LG-Punkt','01 - Luftgewehr Punktscheibe','No',NULL,NULL),('P-LG-Punkt',12,'Punkt','01-LG-Punkt Prämie','01 - Luftgewehr Punktscheibe Prämie','Yes',NULL,NULL),('P-LP-Punkt',31,'Punkt','03-LP-Punkt','03 - Luftpistole Punktscheibe','No',NULL,NULL),('P-LP-Punkt',32,'Punkt','03-LP-Punkt Prämie','03 - Luftpistole Punktscheibe Prämie','Yes',NULL,NULL),('M-Aufl-Meister',61,'Meister','06-Aufl-Meister','06 - LG/LP Auflage Meisterscheibe','No',NULL,NULL),('M-Aufl-Meister',62,'Meister','06-Aufl-Meister Prämie','06 - LG/LP Auflage Meisterscheibe Prämie','Yes',NULL,NULL),('P-Aufl-Punkt',51,'Punkt','05-Aufl-Punkt','05 - LG/LP Auflage Punkt','No',NULL,NULL),('P-Aufl-Punkt',52,'Punkt','05-Aufl-Punkt Prämie','05 - LG/LP Auflage Punkt Prämie','Yes',NULL,NULL);
/*!40000 ALTER TABLE `Listen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Preise`
--

DROP TABLE IF EXISTS `Preise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Preise` (
  `Disziplin` varchar(36) NOT NULL,
  `Platz` int(11) DEFAULT NULL,
  `PlatzP` int(11) DEFAULT NULL,
  `Preis` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Preisgelder';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Preise`
--

LOCK TABLES `Preise` WRITE;
/*!40000 ALTER TABLE `Preise` DISABLE KEYS */;
/*!40000 ALTER TABLE `Preise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Scheiben`
--

DROP TABLE IF EXISTS `Scheiben`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Scheiben` (
  `ScheibenID` int(11) NOT NULL,
  `StartNr` int(11) NOT NULL,
  `Nachname` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `Vorname` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `SportpassID` int(11) NOT NULL,
  `Disziplin` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `Klasse` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `VereinsID` int(11) NOT NULL,
  `Verein` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `Mannschaft` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Trefferzahl` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `Totalring` float NOT NULL,
  `TotalRing01` float NOT NULL,
  `BesterTeiler01` float NOT NULL,
  `Zeitstempel` datetime NOT NULL,
  `BesterTeilerN01` float NOT NULL,
  PRIMARY KEY (`ScheibenID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Scheiben`
--

LOCK TABLES `Scheiben` WRITE;
/*!40000 ALTER TABLE `Scheiben` DISABLE KEYS */;
/*!40000 ALTER TABLE `Scheiben` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Serien`
--

DROP TABLE IF EXISTS `Serien`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Serien` (
  `ScheibenID` int(11) NOT NULL,
  `Serie` smallint(6) NOT NULL,
  `Ring` int(11) NOT NULL,
  `Ring01` float NOT NULL,
  PRIMARY KEY (`ScheibenID`,`Serie`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Serien`
--

LOCK TABLES `Serien` WRITE;
/*!40000 ALTER TABLE `Serien` DISABLE KEYS */;
/*!40000 ALTER TABLE `Serien` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SerienP`
--

DROP TABLE IF EXISTS `SerienP`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SerienP` (
  `StartNr` int(11) NOT NULL,
  `Disziplin` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `Platz` int(11) DEFAULT NULL,
  `PlatzP` int(11) DEFAULT NULL,
  `Typ` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `P` float DEFAULT NULL,
  `S1` float NOT NULL,
  `S2` float NOT NULL,
  `S3` float NOT NULL,
  `S4` float NOT NULL,
  `S5` float NOT NULL,
  `S6` float NOT NULL,
  `S7` float NOT NULL,
  `S8` float NOT NULL,
  `S9` float NOT NULL,
  `S10` float NOT NULL,
  PRIMARY KEY (`StartNr`,`Disziplin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SerienP`
--

LOCK TABLES `SerienP` WRITE;
/*!40000 ALTER TABLE `SerienP` DISABLE KEYS */;
/*!40000 ALTER TABLE `SerienP` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `SerienP_view`
--

DROP TABLE IF EXISTS `SerienP_view`;
/*!50001 DROP VIEW IF EXISTS `SerienP_view`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `SerienP_view` (
  `StartNr` tinyint NOT NULL,
  `Nachname` tinyint NOT NULL,
  `Vorname` tinyint NOT NULL,
  `Verein` tinyint NOT NULL,
  `Disziplin` tinyint NOT NULL,
  `Platz` tinyint NOT NULL,
  `P` tinyint NOT NULL,
  `R1` tinyint NOT NULL,
  `R2` tinyint NOT NULL,
  `R3` tinyint NOT NULL,
  `R4` tinyint NOT NULL,
  `R5` tinyint NOT NULL,
  `R6` tinyint NOT NULL,
  `R7` tinyint NOT NULL,
  `R8` tinyint NOT NULL,
  `R9` tinyint NOT NULL,
  `R10` tinyint NOT NULL,
  `Preis` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `Serien_view`
--

DROP TABLE IF EXISTS `Serien_view`;
/*!50001 DROP VIEW IF EXISTS `Serien_view`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `Serien_view` (
  `StartNr` tinyint NOT NULL,
  `Nachname` tinyint NOT NULL,
  `Vorname` tinyint NOT NULL,
  `Verein` tinyint NOT NULL,
  `Disziplin` tinyint NOT NULL,
  `Platz` tinyint NOT NULL,
  `P` tinyint NOT NULL,
  `R1` tinyint NOT NULL,
  `R2` tinyint NOT NULL,
  `R3` tinyint NOT NULL,
  `R4` tinyint NOT NULL,
  `R5` tinyint NOT NULL,
  `R6` tinyint NOT NULL,
  `R7` tinyint NOT NULL,
  `R8` tinyint NOT NULL,
  `R9` tinyint NOT NULL,
  `R10` tinyint NOT NULL,
  `Preis` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Statistik`
--

DROP TABLE IF EXISTS `Statistik`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Statistik` (
  `Typ` varchar(36) DEFAULT NULL,
  `Index` varchar(36) DEFAULT NULL,
  `Subindex` varchar(36) DEFAULT NULL,
  `ValueC` varchar(36) DEFAULT NULL,
  `ValueF` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Statistik`
--

LOCK TABLES `Statistik` WRITE;
/*!40000 ALTER TABLE `Statistik` DISABLE KEYS */;
/*!40000 ALTER TABLE `Statistik` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TeilerP`
--

DROP TABLE IF EXISTS `TeilerP`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TeilerP` (
  `StartNr` int(11) NOT NULL,
  `Disziplin` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `Platz` int(11) DEFAULT NULL,
  `PlatzP` int(11) DEFAULT NULL,
  `Typ` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `P` float DEFAULT NULL,
  `T1` float DEFAULT NULL,
  `T2` float DEFAULT NULL,
  `T3` float DEFAULT NULL,
  `T4` float DEFAULT NULL,
  `T5` float DEFAULT NULL,
  `T6` float DEFAULT NULL,
  `T7` float DEFAULT NULL,
  `T8` float DEFAULT NULL,
  `T9` float DEFAULT NULL,
  `T10` float DEFAULT NULL,
  PRIMARY KEY (`StartNr`,`Disziplin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TeilerP`
--

LOCK TABLES `TeilerP` WRITE;
/*!40000 ALTER TABLE `TeilerP` DISABLE KEYS */;
/*!40000 ALTER TABLE `TeilerP` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `TeilerP_view`
--

DROP TABLE IF EXISTS `TeilerP_view`;
/*!50001 DROP VIEW IF EXISTS `TeilerP_view`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `TeilerP_view` (
  `StartNr` tinyint NOT NULL,
  `Nachname` tinyint NOT NULL,
  `Vorname` tinyint NOT NULL,
  `Verein` tinyint NOT NULL,
  `Disziplin` tinyint NOT NULL,
  `Platz` tinyint NOT NULL,
  `P` tinyint NOT NULL,
  `R1` tinyint NOT NULL,
  `R2` tinyint NOT NULL,
  `R3` tinyint NOT NULL,
  `R4` tinyint NOT NULL,
  `R5` tinyint NOT NULL,
  `R6` tinyint NOT NULL,
  `R7` tinyint NOT NULL,
  `R8` tinyint NOT NULL,
  `R9` tinyint NOT NULL,
  `R10` tinyint NOT NULL,
  `Preis` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `Teiler_view`
--

DROP TABLE IF EXISTS `Teiler_view`;
/*!50001 DROP VIEW IF EXISTS `Teiler_view`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `Teiler_view` (
  `StartNr` tinyint NOT NULL,
  `Nachname` tinyint NOT NULL,
  `Vorname` tinyint NOT NULL,
  `Verein` tinyint NOT NULL,
  `Disziplin` tinyint NOT NULL,
  `Platz` tinyint NOT NULL,
  `P` tinyint NOT NULL,
  `R1` tinyint NOT NULL,
  `R2` tinyint NOT NULL,
  `R3` tinyint NOT NULL,
  `R4` tinyint NOT NULL,
  `R5` tinyint NOT NULL,
  `R6` tinyint NOT NULL,
  `R7` tinyint NOT NULL,
  `R8` tinyint NOT NULL,
  `R9` tinyint NOT NULL,
  `R10` tinyint NOT NULL,
  `Preis` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Teilnehmer`
--

DROP TABLE IF EXISTS `Teilnehmer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Teilnehmer` (
  `Nummer` int(11) NOT NULL,
  `Nachname` text COLLATE utf8_unicode_ci NOT NULL,
  `Vorname` text COLLATE utf8_unicode_ci NOT NULL,
  `VereinsID` int(11) NOT NULL,
  `Verein` text COLLATE utf8_unicode_ci,
  `Mannschaft` text COLLATE utf8_unicode_ci,
  `Klasse` text COLLATE utf8_unicode_ci,
  `SportpassID` int(11) NOT NULL,
  `ErsteScheibe` datetime DEFAULT NULL,
  PRIMARY KEY (`SportpassID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Teilnehmer`
--

LOCK TABLES `Teilnehmer` WRITE;
/*!40000 ALTER TABLE `Teilnehmer` DISABLE KEYS */;
/*!40000 ALTER TABLE `Teilnehmer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Treffer`
--

DROP TABLE IF EXISTS `Treffer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Treffer` (
  `ScheibenID` int(11) NOT NULL,
  `Treffer` smallint(6) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  `Ring` int(11) NOT NULL,
  `Ring01` float NOT NULL,
  `Teiler01` float NOT NULL,
  `TeilerN01` float NOT NULL,
  PRIMARY KEY (`ScheibenID`,`Treffer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Treffer`
--

LOCK TABLES `Treffer` WRITE;
/*!40000 ALTER TABLE `Treffer` DISABLE KEYS */;
/*!40000 ALTER TABLE `Treffer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `Treffer_view`
--

DROP TABLE IF EXISTS `Treffer_view`;
/*!50001 DROP VIEW IF EXISTS `Treffer_view`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `Treffer_view` (
  `StartNr` tinyint NOT NULL,
  `Disziplin` tinyint NOT NULL,
  `Treffer` tinyint NOT NULL,
  `Ring` tinyint NOT NULL,
  `Ring01` tinyint NOT NULL,
  `Teiler01` tinyint NOT NULL,
  `TeilerN01` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Vereine`
--

DROP TABLE IF EXISTS `Vereine`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Vereine` (
  `VereinsID` int(11) NOT NULL,
  `VereinsName` text COLLATE utf8_unicode_ci NOT NULL,
  `Mitglieder` int(11) NOT NULL,
  `Teilnehmer` int(11) NOT NULL DEFAULT '0',
  `Jugend` int(11) NOT NULL DEFAULT '0',
  `Punkte` int(11) NOT NULL DEFAULT '0',
  `Prozent` float NOT NULL DEFAULT '0',
  `Sort` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`VereinsID`),
  KEY `VereinsID` (`VereinsID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Vereine`
--

LOCK TABLES `Vereine` WRITE;
/*!40000 ALTER TABLE `Vereine` DISABLE KEYS */;
/*!40000 ALTER TABLE `Vereine` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Final view structure for view `SerienP_view`
--

/*!50001 DROP TABLE IF EXISTS `SerienP_view`*/;
/*!50001 DROP VIEW IF EXISTS `SerienP_view`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`meyton`@`localhost` SQL SECURITY INVOKER */
/*!50001 VIEW `SerienP_view` AS select distinct `Scheiben`.`StartNr` AS `StartNr`,`Scheiben`.`Nachname` AS `Nachname`,`Scheiben`.`Vorname` AS `Vorname`,`Scheiben`.`Verein` AS `Verein`,`SerienP`.`Disziplin` AS `Disziplin`,`SerienP`.`PlatzP` AS `Platz`,`SerienP`.`P` AS `P`,`SerienP`.`S1` AS `R1`,`SerienP`.`S2` AS `R2`,`SerienP`.`S3` AS `R3`,`SerienP`.`S4` AS `R4`,`SerienP`.`S5` AS `R5`,`SerienP`.`S6` AS `R6`,`SerienP`.`S7` AS `R7`,`SerienP`.`S8` AS `R8`,`SerienP`.`S9` AS `R9`,`SerienP`.`S10` AS `R10`,`Preise`.`Preis` AS `Preis` from ((`SerienP` join `Scheiben` on((`SerienP`.`StartNr` = `Scheiben`.`StartNr`))) left join `Preise` on(((`SerienP`.`PlatzP` = `Preise`.`PlatzP`) and (`SerienP`.`Disziplin` = `Preise`.`Disziplin`)))) where (`Scheiben`.`Disziplin` <> '') order by `SerienP`.`P` desc,`SerienP`.`S1` desc,`SerienP`.`S2` desc,`SerienP`.`S3` desc,`SerienP`.`S4` desc,`SerienP`.`S5` desc,`SerienP`.`S6` desc,`SerienP`.`S7` desc,`SerienP`.`S8` desc,`SerienP`.`S9` desc,`SerienP`.`S10` desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `Serien_view`
--

/*!50001 DROP TABLE IF EXISTS `Serien_view`*/;
/*!50001 DROP VIEW IF EXISTS `Serien_view`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`meyton`@`localhost` SQL SECURITY INVOKER */
/*!50001 VIEW `Serien_view` AS select distinct `Scheiben`.`StartNr` AS `StartNr`,`Scheiben`.`Nachname` AS `Nachname`,`Scheiben`.`Vorname` AS `Vorname`,`Scheiben`.`Verein` AS `Verein`,`SerienP`.`Disziplin` AS `Disziplin`,`SerienP`.`Platz` AS `Platz`,`SerienP`.`P` AS `P`,`SerienP`.`S1` AS `R1`,`SerienP`.`S2` AS `R2`,`SerienP`.`S3` AS `R3`,`SerienP`.`S4` AS `R4`,`SerienP`.`S5` AS `R5`,`SerienP`.`S6` AS `R6`,`SerienP`.`S7` AS `R7`,`SerienP`.`S8` AS `R8`,`SerienP`.`S9` AS `R9`,`SerienP`.`S10` AS `R10`,`Preise`.`Preis` AS `Preis` from ((`SerienP` join `Scheiben` on((`SerienP`.`StartNr` = `Scheiben`.`StartNr`))) left join `Preise` on(((`SerienP`.`Platz` = `Preise`.`Platz`) and (`SerienP`.`Disziplin` = `Preise`.`Disziplin`)))) where (`Scheiben`.`Disziplin` <> '') order by `SerienP`.`S1` desc,`SerienP`.`S2` desc,`SerienP`.`S3` desc,`SerienP`.`S4` desc,`SerienP`.`S5` desc,`SerienP`.`S6` desc,`SerienP`.`S7` desc,`SerienP`.`S8` desc,`SerienP`.`S9` desc,`SerienP`.`S10` desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `TeilerP_view`
--

/*!50001 DROP TABLE IF EXISTS `TeilerP_view`*/;
/*!50001 DROP VIEW IF EXISTS `TeilerP_view`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`meyton`@`localhost` SQL SECURITY INVOKER */
/*!50001 VIEW `TeilerP_view` AS select distinct `Scheiben`.`StartNr` AS `StartNr`,`Scheiben`.`Nachname` AS `Nachname`,`Scheiben`.`Vorname` AS `Vorname`,`Scheiben`.`Verein` AS `Verein`,`TeilerP`.`Disziplin` AS `Disziplin`,`TeilerP`.`PlatzP` AS `Platz`,`TeilerP`.`P` AS `P`,`TeilerP`.`T1` AS `R1`,`TeilerP`.`T2` AS `R2`,`TeilerP`.`T3` AS `R3`,`TeilerP`.`T4` AS `R4`,`TeilerP`.`T5` AS `R5`,`TeilerP`.`T6` AS `R6`,`TeilerP`.`T7` AS `R7`,`TeilerP`.`T8` AS `R8`,`TeilerP`.`T9` AS `R9`,`TeilerP`.`T10` AS `R10`,`Preise`.`Preis` AS `Preis` from ((`TeilerP` join `Scheiben` on((`TeilerP`.`StartNr` = `Scheiben`.`StartNr`))) left join `Preise` on(((`TeilerP`.`PlatzP` = `Preise`.`PlatzP`) and (`TeilerP`.`Disziplin` = `Preise`.`Disziplin`)))) where (`Scheiben`.`Disziplin` <> '') order by `TeilerP`.`P`,`TeilerP`.`T1`,`TeilerP`.`T2`,`TeilerP`.`T3`,`TeilerP`.`T4`,`TeilerP`.`T5`,`TeilerP`.`T6`,`TeilerP`.`T7`,`TeilerP`.`T8`,`TeilerP`.`T9`,`TeilerP`.`T10` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `Teiler_view`
--

/*!50001 DROP TABLE IF EXISTS `Teiler_view`*/;
/*!50001 DROP VIEW IF EXISTS `Teiler_view`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`meyton`@`localhost` SQL SECURITY INVOKER */
/*!50001 VIEW `Teiler_view` AS select distinct `Scheiben`.`StartNr` AS `StartNr`,`Scheiben`.`Nachname` AS `Nachname`,`Scheiben`.`Vorname` AS `Vorname`,`Scheiben`.`Verein` AS `Verein`,`TeilerP`.`Disziplin` AS `Disziplin`,`TeilerP`.`Platz` AS `Platz`,`TeilerP`.`P` AS `P`,`TeilerP`.`T1` AS `R1`,`TeilerP`.`T2` AS `R2`,`TeilerP`.`T3` AS `R3`,`TeilerP`.`T4` AS `R4`,`TeilerP`.`T5` AS `R5`,`TeilerP`.`T6` AS `R6`,`TeilerP`.`T7` AS `R7`,`TeilerP`.`T8` AS `R8`,`TeilerP`.`T9` AS `R9`,`TeilerP`.`T10` AS `R10`,`Preise`.`Preis` AS `Preis` from ((`TeilerP` join `Scheiben` on((`TeilerP`.`StartNr` = `Scheiben`.`StartNr`))) left join `Preise` on(((`TeilerP`.`Platz` = `Preise`.`Platz`) and (`TeilerP`.`Disziplin` = `Preise`.`Disziplin`)))) where (`Scheiben`.`Disziplin` <> '') order by `TeilerP`.`T1`,`TeilerP`.`T2`,`TeilerP`.`T3`,`TeilerP`.`T4`,`TeilerP`.`T5`,`TeilerP`.`T6`,`TeilerP`.`T7`,`TeilerP`.`T8`,`TeilerP`.`T9`,`TeilerP`.`T10` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `Treffer_view`
--

/*!50001 DROP TABLE IF EXISTS `Treffer_view`*/;
/*!50001 DROP VIEW IF EXISTS `Treffer_view`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`meyton`@`localhost` SQL SECURITY INVOKER */
/*!50001 VIEW `Treffer_view` AS select `Scheiben`.`StartNr` AS `StartNr`,`Scheiben`.`Disziplin` AS `Disziplin`,`Treffer`.`Treffer` AS `Treffer`,`Treffer`.`Ring` AS `Ring`,`Treffer`.`Ring01` AS `Ring01`,`Treffer`.`Teiler01` AS `Teiler01`,`Treffer`.`TeilerN01` AS `TeilerN01` from (`Scheiben` join `Treffer` on((`Scheiben`.`ScheibenID` = `Treffer`.`ScheibenID`))) where (`Scheiben`.`Disziplin` <> '') */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-09-08 13:12:36
