<?php 
# BASIC USAGE
#require('config.inc.php');

# Fire up an instance of the table class
#
function show_erg($do_print, $listenID, $maxLines=false, $maxCol=false) 
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB,$ShowPreise;
	$TH_Meister=array("Pl.", "Teiln.", "Name", "S1", "S2", "S3", "S4", "S5", "S6", "S7", "S8", "S9", "S10");
	$TH_Meister_P=array("Pl.", "Teiln.", "Name", "Prämie", "S1", "S2", "S3", "S4", "S5", "S6", "S7", "S8", "S9", "S10");
	$TH_Punkt=array("Pl.", "Teiln.", "Name", "T1", "T2", "T3", "T4", "T5", "T6", "T7", "T8", "T9", "T10");
	$TH_Punkt_P=array("Pl.", "Teiln.", "Name", "Prämie", "T1", "T2", "T3", "T4", "T5", "T6", "T7", "T8", "T9", "T10");
	$SQL_Meister="SELECT Platz, StartNr, Nachname, Vorname, Verein, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from Serien_view";
	$SQL_Meister_P="SELECT Platz, StartNr, Nachname, Vorname, Verein, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from SerienP_view";
	$SQL_Punkt="SELECT Platz, StartNr, Nachname, Vorname, Verein, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from Teiler_view";
	$SQL_Punkt_P="SELECT Platz, StartNr, Nachname, Vorname, Verein, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from TeilerP_view";

	if ( $do_print == 1) { 
	  $table_attr = array("class"=>"print");
	} else {
	  $table_attr = array("class"=>"result");
	}
	$table = new Table($table_attr); 
	if ($maxLines) {  
		$table->setmaxprint($maxLines);
	}
	if ($maxCol) { if ($maxCol > 10 or $maxCol < 1) { $maxCol = 10;} } else {$maxCol = 10;}

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
	if (mysqli_connect_errno())
	{
	echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}

	$listinfo = mysqli_query($mysqlcon, "SELECT Disziplin, Typ, ShortDesc, LongDesc, Praemie, THCol, SqlStr from Listen WHERE DisziplinID=$listenID");
	while ( $row =  mysqli_fetch_array($listinfo)) {
		$disziplin=$row['Disziplin'];
		$disziplinL=$row['LongDesc'];
		$typ=$row['Typ'];
		$pramie=$row['Praemie'];
		$sql=$row['SqlStr'];
	}

	# Define some headings
	$headings = array("Pl.", "Teiln.", "Name");
	if ( $pramie == "Yes") { array_push($headings, "Prämie"); }
	if ( $typ == "Meister" ) {
		for ( $i=1; $i <=$maxCol; $i++ ) { array_push($headings, 'S'.$i); }
	} elseif ( $typ== "Punkt" ) {
		for ( $i=1; $i <=$maxCol; $i++ ) { array_push($headings, 'T'.$i); }
	}
	if ( $typ== "Meister" && $pramie == "No") {
	  $msql=$SQL_Meister . " where Disziplin='" . $disziplin . "'";
	} elseif ( $typ== "Meister" && $pramie == "Yes") { 
	  $msql=$SQL_Meister_P . " where Disziplin='" . $disziplin . "'";
	} elseif ( $typ== "Punkt" && $pramie == "No") {
	  $msql=$SQL_Punkt . " where Disziplin='" . $disziplin . "'";
	} elseif ( $typ== "Punkt" && $pramie == "Yes") { 
	  $msql=$SQL_Punkt_P . " where Disziplin='" . $disziplin . "'";
	}

	if ( $ShowPreise == 1 ) {
		array_push($headings, "Preis");
	}
	# Add them to the class using the headings() function
	$table->headings($headings);

	# Create some rows
	$result = mysqli_query($mysqlcon,$msql);
	# echo "  $msql  ";
	$Platz=1;
	while($row = mysqli_fetch_array($result))
	{      
		if ( $do_print == 1) {
			$StartNrTXT=$row['StartNr'];
		} else {
			$StartNrTXT="<A HREF=index.php?TYP=Teilnehmer&ID=".$row['StartNr'].">".$row['StartNr']."</A>";
		}
		$myrow=array($row['Platz'], $StartNrTXT, $row['Nachname'] . " " . $row['Vorname']);
		if ( $pramie == "Yes") { array_push($myrow, $row['P']); }
		for ( $i=1; $i <=$maxCol; $i++ ) { array_push($myrow, $row['R'.$i]); }
		if ( $ShowPreise == 1 ) {
			array_push($myrow, $row['Preis']."€");
		}
		$table->addRow($myrow);	
		#$table->addRow(array($Platz, $row['StartNr'], $row['Nachname'] . " " . $row['Vorname'], $row['S1'], $row['S2'], $row['S3'], $row['S4'], $row['S5'], $row['S6'], $row['S7'], $row['S8'], $row['S9'], $row['S10']));
		$Platz=$Platz+1;
	}

	# To complete the table you need to run the render function
	echo "<h2 align=center> $disziplinL</h2>";
	echo $table->render();
	if ($do_print != "1" ) {echo "<a href=index.php?TYP=Erg&LISTE=$listenID&PRINT=1> Druckversion </A>";}
}
?>
