<?php
# BASIC USAGE
echo "<HTML> <HEAD>";

# Require the class
require('class.table.php');
require('class.scheibe.php');
require('config.inc.php');
require('funct_inc.php');
require('vereine_inc.php');
require('listen_inc.php');
require('erg_inc.php');
require('scheiben_inc.php');
require('teilnehmer_inc.php');
require('statistic_inc.php');
require('class.diagram.php');
require('diagram_inc.php');

echo $meta;
echo $css;
echo "<script src=\"chart/Chart.bundle.js\"></script>\n";
echo "</HEAD> <BODY>";
if ( isset($_GET['PRINT'])) {
	if ( $_GET['PRINT'] == 1 ) { $do_print=1; } else { $do_print=0; }
} else {
	$do_print=0;
}
if ( isset($_GET['MAXLINES'])) {
	$MaxLines=filter_input(INPUT_GET, 'MAXLINES', FILTER_VALIDATE_INT);
} else {
	$$MaxLines=9999;
}

$typ=$_GET['TYP'];
//$liste=$_GET['LISTE'];
//$ID=$_GET['ID'];
$liste=filter_input(INPUT_GET, 'LISTE', FILTER_VALIDATE_INT);
$ID=filter_input(INPUT_GET, 'ID', FILTER_VALIDATE_INT);

if ($do_print == 0) {
?><table><tr> <td align="center" colspan=2 > 
<table width="100%"><tr><td align="center" valign="middle"><img src="logo_verein.png"></td><td align="center" valign="middle" class="font18Bold"> Traditionsschießen 2019 </td><td align="center" valign="middle"><img src="logo_gau.png"></td></tr></table> </td></tr> <tr> <td width=20% valign=top> 
<?php
show_listen();
echo "</td> <td valign=top>";
}
switch ($typ) {
  case "Vereine":
    show_vereine($do_print, "Punkte","0");
    echo "<br>\n";
    show_vereine($do_print, "Prozent","1");
    break;
  case "Verein":
    show_verein_teilnehmer($do_print,$ID,"","0");
    show_verein_platz_ser($do_print,$ID,"","0");
    show_verein_platz_teiler($do_print,$ID,"","0");
    break;
  case "Verein-all":
    show_all_verein_teilnehmer($do_print);
    break;
  case "Teilnehmer":
    show_teilnehmer($do_print,$ID);
    break;
  case "Scheibe":
    show_scheibe_liste($do_print,$ID);
    break;
  case "Schussbild":
    show_scheibe_grafik($do_print,$ID);
    break;
  case "Erg":
    show_erg($do_print,$liste,$MaxLines,$MaxCol);
    break;
  case "Aushang":
    show_vereine($do_print, "Punkte","0");
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_vereine($do_print, "Prozent","0");
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,11,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,12,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,21,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,22,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,31,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,32,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,41,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,42,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,51,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,52,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,61,$PrintLines,$PrintCol);
    echo "<p align=\"center\" class=\"font12p\">.</p>\n";
    show_erg(1,62,$PrintLines,$PrintCol);
    break;
  case "Statistik-graph":
    draw_disziplin();
    echo "<br><a href=index.php?TYP=Statistik-graph-t>Statistik Teilnehmer je Tag</a>\n";
    echo "<br><a href=index.php?TYP=Statistik-graph-k>Statistik Teilnehmer je Klasse</a>\n";
    break;
  case "Statistik-graph-t":
    create_teiln_hash();
    draw_teilnehmer_day();
    echo "<br><a href=index.php?TYP=Statistik-graph>Statistik Disziplinen</a>\n";
    echo "<br><a href=index.php?TYP=Statistik-graph-k>Statistik Teilnehmer je Klasse</a>\n";
    break;
  case "Statistik-graph-k":
    create_teiln_hash();
    draw_teilnehmer_klassen();
    echo "<br><a href=index.php?TYP=Statistik-graph>Statistik Disziplinen</a>\n";
    echo "<br><a href=index.php?TYP=Statistik-graph-t>Statistik Teilnehmer je Tag</a>\n";
    break;
  case "Statistik":
    create_teiln_hash();
    show_teilnehmer_day($do_print);
    show_teilnehmer_klassen($do_print);
    show_teilnehmer_Disziplin($do_print);
    show_Disziplin_anz($do_print);
    show_Disziplin_Klassen_anz($do_print);
    show_teilnehmer_anz_scheiben($do_print);
    show_vereine_anz_scheiben($do_print);
    show_scheiben_datum($do_print);
    if ($do_print == 0) {echo "<br><a href=index.php?TYP=Statistik&PRINT=1> Druckversion </A>";}
    break;
  case "":
    echo "<h2 align='center'>Willkommen beim Traditionsschießen 2019</h2>";
    echo "<p style='font-size: 30px' align='center'>\n";
?>
    <script>
    var i = 0;
    var anz = <?php echo get_anzahl_teilnehmer() ?>;
    var inv = setInterval(function() {
	if(i < (anz * 0.9) )
            document.getElementById("counter").innerHTML = ++i;
        else
            clearInterval(inv);
        }, 50 );
    var inv2 = setInterval(function() {
	if(i < (anz * 0.96) )
            document.getElementById("counter").innerHTML = ++i;
        else
            clearInterval(inv2);
        }, 200 );
    var inv3 = setInterval(function() {
	if(i < anz )
            document.getElementById("counter").innerHTML = ++i;
        else
            clearInterval(inv3);
        }, 500 );
    </script>

    <script>
    var j = 0;
    var anzs = <?php echo get_anzahl_scheiben() ?>;
    var inv4= setInterval(function() {
	if(j < (anzs * 0.9) )
            document.getElementById("counters").innerHTML = ++j;
        else
            clearInterval(inv4);
        }, 30 );
    var inv5 = setInterval(function() {
	if(j < (anzs * 0.96) )
            document.getElementById("counters").innerHTML = ++j;
        else
            clearInterval(inv5);
        }, 100 );
    var inv6 = setInterval(function() {
	if(j < anzs )
            document.getElementById("counters").innerHTML = ++j;
        else
            clearInterval(inv6);
        }, 200 );
    </script>
<?php
    echo "Anzahl Teilnehmer: <span style='background-color:green; color:white' id='counter'> </span></p><br>\n";
    echo "<p style='font-size: 30px' align='center'>Anzahl Scheiben: <span style='background-color:green; color:white' id='counters'> </span></p>\n";
    break;
  default:
    echo "<h2>Willkommen beim Traditionsschießen 2019</h2>";
}
?> 
</td></tr></table>
<?php
#echo "TYP: $typ, LISTE: $liste";
?>
</BODY> </HTML>

