<?PHP

/******************************************************************************/
/******************************************************************************/
/***** class Streifen                        **********************************/
/*****---------------------------------------**********************************/

  class Streifen {
    var $datum;
    var $nummer;

/***** Streifen (...)                        **********************************/

    function Streifen ($nummer, $datum) {
      $this->nummer = $nummer;
      $this->datum  = $datum;
    }


    function GetNummer () {
      return $this->nummer;
    }

    function GetDatum () {
      return $this->datum;
    }

  }

/******************************************************************************/
/******************************************************************************/
/***** class Schussbild                      **********************************/
/*****---------------------------------------**********************************/

  class Schussbild {
    var $streifen;
    var $gdb;

/***** Schussbild (...)                      **********************************/

    function Schussbild ($ScheibenID,$dbcon) {
      $this->gdb = $dbcon;
//      $this->streifen = array ();
//      $this->CreateDirectory ($ScheibenID);
//      $this->GetStreifen ($ScheibenID);
//      $this->DrawScheiben ($ScheibenID);
//          $this->ShowScheiben ($schuetze);

    }

/***** DrawScheibeLG (...)                   **********************************/

    function DrawScheibeLG ($shot, $strip, $gesamt_ringe, &$x, &$y, &$ringe, &$teiler, $date) {
      $targets        = count ($x);
      $teiler_min     = 99999.0;
      $schuss         = array ();

      for ($n = 0; $n < 11; $n++) {
        $schuss[$n] = 0;
      }

      $m              = 125;
      $w              = $m * 2;
      $k              =   25;
      $z              =  2.5;               // 5 == 500 1/1000 2.5 == 500/1000 mm

      $m              = 250;
      $w              = $m * 2;
      $k              =   50;
      $z              =    5;

      $img            = ImageCreate ($w, $w) or die ("Cannot Create image");

      $color_back     = ImageColorAllocate ($img, 242, 230, 198);
      $color_txt      = ImageColorAllocate ($img,  20, 114,  20);
      $color_black    = ImageColorAllocate ($img, 255, 255, 255);
      $color_kreuz    = ImageColorAllocate ($img, 111, 222, 111);
      $color_s1       = ImageColorAllocate ($img, 242, 230, 198);

      if (($strip >= 10000) && ($strip < 20000)) {
        $color_s2       = ImageColorAllocate ($img, 240,   0,   0);
      }
      else if (($strip >= 100000) && ($strip < 200000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0,   0);
      }
      else if (($strip >= 200000) && ($strip < 300000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0,   0);
      }
      else if (($strip >= 300000) && ($strip < 400000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0,   0);
      }
      else if (($strip >= 400000) && ($strip < 450000)) {
        $color_s2       = ImageColorAllocate ($img, 140,   0,   0);
      }
      else if (($strip >= 450000) && ($strip < 500000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0, 140);
      }

      $color_d        = ImageColorAllocate ($img, 150, 150, 150);
      $color_r1       = ImageColorAllocate ($img,   0,   0,   0);
      $color_r2       = ImageColorAllocate ($img, 242, 230, 198);


      imagefilledellipse ($img, $m, $m, 9 * $k + $z, 9 * $k + $z, $color_s1);     // Gesamt Scheibe
      imagefilledellipse ($img, $m, $m, 6 * $k + $z, 6 * $k + $z, $color_s2);     // Schwarze Scheibe

      imageellipse       ($img, $m, $m, 9 * $k + $z, 9 * $k + $z, $color_r1);
      imageellipse       ($img, $m, $m, 8 * $k + $z, 8 * $k + $z, $color_r1);
      imageellipse       ($img, $m, $m, 7 * $k + $z, 7 * $k + $z, $color_r1);
      imageellipse       ($img, $m, $m, 6 * $k + $z, 6 * $k + $z, $color_r1);
      imageellipse       ($img, $m, $m, 5 * $k + $z, 5 * $k + $z, $color_r2);
      imageellipse       ($img, $m, $m, 4 * $k + $z, 4 * $k + $z, $color_r2);
      imageellipse       ($img, $m, $m, 3 * $k + $z, 3 * $k + $z, $color_r2);
      imageellipse       ($img, $m, $m, 2 * $k + $z, 2 * $k + $z, $color_r2);
      imageellipse       ($img, $m, $m, 1 * $k + $z, 1 * $k + $z, $color_r2);
      imagefilledellipse ($img, $m, $m,          $z,          $z, $color_r2);

      $x_sum = 0;
      $y_sum = 0;

      for ($n = 0; $n < $targets; $n++) {
        $r            = $ringe[$n];
        $schuss["$r"]++;

        if ($teiler[$n] < $teiler_min) {
          $teiler_min = $teiler[$n];
        }

        $xpos = $x[$n] * 10;
        $ypos = $y[$n] * 10;

        if (($xpos == -10) && ($ypos == -10)) {    // Wenn's ein ungltiger Schuss ist (-1, -1)
          $xpos = 22500;
          $ypos = 22500;
        }
        else {
          $x_sum += $xpos;
          $y_sum += $ypos;
          $count++;
        }

        $this->Schuss ($img, $color_d, $color_s2, $m + (($xpos * $z + 250) / 500), $m + (($ypos * $z + 250) / 500));
      }

      $x_mean = $x_sum / $count;
      $y_mean = $y_sum / $count;
      $this->Kreuz ($img, $color_kreuz, $m + (($x_mean * $z + 250) / 500), $m + (($y_mean * $z + 250) / 500));

      $teiler_min = $teiler_min / 10.0;

      $text1 = "Schussbild $strip";
      $text2 = "Gesamtringe = $gesamt_ringe";
      $text3 = "Bester Teiler   = $teiler_min";

      $font = Imagepsloadfont ("c:/programme/gnu/gs/fonts/a010015l.pfb");

      imagepstext ($img, $text1, $font, 15, $color_txt, $color_back,   5, 15);
      imagepstext ($img, $date,  $font, 15, $color_txt, $color_back, 350, 15);
      imagepstext ($img, $text2, $font, 15, $color_txt, $color_back,   5, 30);
      imagepstext ($img, $text3, $font, 15, $color_txt, $color_back,   5, 45);

      $zeile = 4;

      foreach ($schuss as $key => $value) {

        if ($value > 0) {
          $text = $value . " x " . $key . "er";

          imagepstext ($img, $text, $font, 15, $color_txt, $color_back,  5, $zeile * 15);
          $zeile++;
        }
      }

      ImagePng ($img, "shot_$shot/$strip.png");
    }

/***** DrawScheibeLP (...)                   **********************************/

    function DrawScheibeLP ($shot, $strip, $gesamt_ringe, &$x, &$y, &$ringe, &$teiler, $date) {
      $targets        = count ($x);
      $teiler_min     = 99999.0;
      $schuss         = array ();

      for ($n = 0; $n < 11; $n++) {
        $schuss[$n] = 0;
      }

      $m              = 125;
      $w              = $m * 2;
      $k              =   25;
      $z              =  2.5;               // 5 == 500 1/1000 2.5 == 500/1000 mm

      $m              = 780;
      $w              = $m * 2;
      $k              =   50;
      $z              =    5;

      $img            = ImageCreate ($w, $w) or die ("Cannot Create image");

      $color_back     = ImageColorAllocate ($img, 242, 230, 198);
      $color_txt      = ImageColorAllocate ($img,  20, 114,  20);
      $color_black    = ImageColorAllocate ($img, 255, 255, 255);
      $color_kreuz    = ImageColorAllocate ($img, 111, 222, 111);
      $color_s1       = ImageColorAllocate ($img, 242, 230, 198);

      if (($strip >= 20000) && ($strip < 30000)) {
        $color_s2       = ImageColorAllocate ($img, 240,   0,   0);
      }
      else if (($strip >= 500000) && ($strip < 600000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0,   0);
      }
      else if (($strip >= 600000) && ($strip < 700000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0,   0);
      }
      else if (($strip >= 700000) && ($strip < 800000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0,   0);
      }
      else if (($strip >= 800000) && ($strip < 850000)) {
        $color_s2       = ImageColorAllocate ($img, 140,   0,   0);
      }
      else if (($strip >= 850000) && ($strip < 900000)) {
        $color_s2       = ImageColorAllocate ($img,   0,   0, 140);
      }

      $color_d        = ImageColorAllocate ($img, 150, 150, 150);
      $color_r1       = ImageColorAllocate ($img,   0,   0,   0);
      $color_r2       = ImageColorAllocate ($img, 242, 230, 198);


      imagefilledellipse ($img, $m, $m, 1555, 1555, $color_s1);
      imagefilledellipse ($img, $m, $m,  595,  595, $color_s2);

      imageellipse       ($img, $m, $m,   50,   50, $color_r2);
      imageellipse       ($img, $m, $m,  115,  115, $color_r2);
      imageellipse       ($img, $m, $m,  275,  275, $color_r2);
      imageellipse       ($img, $m, $m,  435,  435, $color_r2);
      imageellipse       ($img, $m, $m,  595,  595, $color_r2);

      imageellipse       ($img, $m, $m,  755,  755, $color_r1);
      imageellipse       ($img, $m, $m,  915,  915, $color_r1);
      imageellipse       ($img, $m, $m, 1075, 1075, $color_r1);
      imageellipse       ($img, $m, $m, 1235, 1235, $color_r1);
      imageellipse       ($img, $m, $m, 1395, 1395, $color_r1);
      imageellipse       ($img, $m, $m, 1555, 1555, $color_r1);

      $x_sum = 0;
      $y_sum = 0;

      for ($n = 0; $n < $targets; $n++) {
        $r            = $ringe[$n];
        $schuss[$r]++;

        if ($teiler[$n] < $teiler_min) {
          $teiler_min = $teiler[$n];
        }

        $xpos = $x[$n] * 10;
        $ypos = $y[$n] * 10;

        if (($xpos == -10) && ($ypos == -10)) {
          $xpos = 75000;
          $ypos = 75000;
        }
        else {
          $x_sum += $xpos;
          $y_sum += $ypos;
          $count++;
        }

        $this->Schuss ($img, $color_d, $color_s2, $m + (($xpos * $z + 250) / 500), $m + (($ypos * $z + 250) / 500));
      }

      $x_mean = $x_sum / $count;
      $y_mean = $y_sum / $count;
      $this->Kreuz ($img, $color_kreuz, $m + (($x_mean * $z + 250) / 500), $m + (($y_mean * $z + 250) / 500));

      $teiler_min = $teiler_min / 10.0;

      $text1 = "Schussbild $strip";
      $text2 = "Gesamtringe = $gesamt_ringe";
      $text3 = "Bester Teiler   = $teiler_min";

      $font = Imagepsloadfont ("c:/programme/gnu/gs/fonts/a010015l.pfb");

      imagepstext ($img, $text1, $font, 30, $color_txt, $color_back,   20, 30);
      imagepstext ($img, $date,  $font, 30, $color_txt, $color_back, 1250, 30);
      imagepstext ($img, $text2, $font, 30, $color_txt, $color_back,   20, 60);
      imagepstext ($img, $text3, $font, 30, $color_txt, $color_back,   20, 90);

      $zeile = 4;

      foreach ($schuss as $key => $value) {
        if ($value > 0) {
          $text = $value . " x " . $key . "er";

          imagepstext ($img, $text, $font, 30, $color_txt, $color_back, 20, $zeile * 30);
          $zeile++;
        }
      }

      ImagePng ($img, "shot_$shot/$strip.png");
    }

/***** DrawScheiben (...)                    **********************************/

    function DrawScheiben ($snum) {
      $x      = array ();
      $y      = array ();
      $ringe  = array ();
      $teiler = array ();

      $num = count ($this->streifen);

      for ($index = 0; $index < $num; $index++) {
        $strip       = $this->streifen[$index];
        $strip_num   = $strip->GetNummer ();

        $sql         = "SELECT * FROM Treffer WHERE ScheibenID=$strip_num ORDER BY Treffer ASC;";

        unset ($x);
        unset ($y);
        unset ($ringe);
        unset ($teiler);

        $x      = array ();
        $y      = array ();
        $ringe  = array ();
        $teiler = array ();

        $gesamt_ringe = 0;

        if ($result = mysql_query ($sql)) {
          while ($row = mysql_fetch_array ($result)) {
            array_push ($x,       $row["x"]);
            array_push ($y,       $row["y"]);
            array_push ($ringe,  ($row["Ring"]));
            array_push ($teiler,  $row["Teiler01"]);

            $gesamt_ringe += ($row["Ring"]);
          }

          if (count ($x) > 0) {
              $this->DrawScheibeLG ($snum, $strip_num, $gesamt_ringe, $x, $y, $ringe, $teiler, $strip->GetDatum ());
              $this->DrawScheibeLP ($snum, $strip_num, $gesamt_ringe, $x, $y, $ringe, $teiler, $strip->GetDatum ());
          }
        }
      }
    }

/***** DrawSchuesse (...)                    **********************************/

    function DrawSchuesse () {
    }

/***** Schuss (...)                          **********************************/
    /*
     *
     */
    function Schuss ($img, $cf, $co, $x, $y) {
      imagefilledellipse ($img, $x, $y, 90 / 2, 90 / 2, $cf);
      imageellipse       ($img, $x, $y, 90 / 2, 90 / 2, $co);
    }

/***** Kreuz (...)                           **********************************/
    /*
     *
     */
    function Kreuz ($img, $cf, $x, $y) {
      imageline ($img, $x - 45, $y - 1, $x + 45, $y - 1, $cf);
      imageline ($img, $x - 45, $y,     $x + 45, $y,     $cf);
      imageline ($img, $x - 45, $y + 1, $x + 45, $y + 1, $cf);

      imageline ($img, $x - 1, $y - 45, $x - 1,  $y + 45, $cf);
      imageline ($img, $x,     $y - 45, $x,      $y + 45, $cf);
      imageline ($img, $x + 1, $y - 45, $x + 1,  $y + 45, $cf);
    }

/***** CreateDirectory (...)                 **********************************/

    function CreateDirectory ($shot) {
      if (!file_exists ("shot_$shot")) {
        mkdir ("shot_$shot");
      }
    }

/***** GetScheiben (...)                     **********************************/

    function GetStreifen ($snum) {
      $sql = "SELECT StripNumber, Date FROM streifen WHERE ShotNumber=$snum AND StripNumber >= 100000 ORDER BY Date ASC, StripNumber ASC;";

      if ($result = mysql_query ($sql)) {
        while ($row = mysql_fetch_array ($result)) {
          $streifen = new Streifen ($row["StripNumber"], $row["Date"]);

          array_push ($this->streifen, $streifen);
        }
      }
    }

/***** ShowScheiben (...)                    **********************************/

    function ShowScheiben ($shot) {
      $num = count ($this->streifen);

      for ($index = 0; $index < $num; $index++) {
        $strip       = $this->streifen[$index];
        $strip_num   = $strip->GetNummer ();
        $strip_datum = $strip->GetDatum ();

        if (file_exists ("shot_$shot/$strip_num.png")) {
          if ($shot >= 9000) {
            echo "<img src=\"shot_$shot/$strip_num.png\" alt=\"$strip_num\" width=\"1000\" height=\"1000\" /><br />";
          }
          else {
            echo "<img src=\"shot_$shot/$strip_num.png\" alt=\"$strip_num\" width=\"500\" height=\"500\" /><br />";
          }
        }
      }
    }

/******************************************************************************/
  }

?>
