<?php
function get_teilnehmername($StartNr) {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
        $mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }
        $result = mysqli_query($mysqlcon,"SELECT Nachname, Vorname from Teilnehmer where StartNr='".$StartNr."'");
        while($row = mysqli_fetch_array($result)) { $Name=$row['Nachname']." ".$row['Vorname']; }
        if ($Name == "") { $Name="Startnummer unbekannt"; }
        return $Name;
}

function get_anzahl_teilnehmer() {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
        $mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }
        $result = mysqli_query($mysqlcon,"select Nachname from Teilnehmer");
	$erg=mysqli_num_rows($result);
	#echo "Teiln: " . $erg;
        return $erg;
}

function get_teilnehmerpreise($StartNr) {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	$erg=0;
        $mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }
        $result = mysqli_query($mysqlcon,"select Preis from Serien_view where StartNr='".$StartNr."'");
        while($row = mysqli_fetch_array($result)) { $erg=$erg+$row['Preis']; }
        $result = mysqli_query($mysqlcon,"select Preis from SerienP_view where StartNr='".$StartNr."'");
        while($row = mysqli_fetch_array($result)) { $erg=$erg+$row['Preis']; }
        $result = mysqli_query($mysqlcon,"select Preis from Teiler_view where StartNr='".$StartNr."'");
        while($row = mysqli_fetch_array($result)) { $erg=$erg+$row['Preis']; }
        $result = mysqli_query($mysqlcon,"select Preis from TeilerP_view where StartNr='".$StartNr."'");
        while($row = mysqli_fetch_array($result)) { $erg=$erg+$row['Preis']; }
        return $erg;
}

function show_teilnehmer_serien($do_print,$StartNr) {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB,$ShowPreise;
	$headings=array("Pl.", "Disziplin", "Prämie", "S1", "S2", "S3", "S4", "S5", "S6", "S7", "S8", "S9", "S10");
	$SQL_Ser="SELECT Platz, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from Serien_view WHERE StartNr='".$StartNr."'";
	$SQL_SerP="SELECT Platz, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from SerienP_view WHERE StartNr='".$StartNr."'";
	if ( $do_print == 1) {
          $table_attr = array("class"=>"print");
        } else {
          $table_attr = array("class"=>"result");
        }
        $table = new Table($table_attr);

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }
	if ( $ShowPreise == 1 ) { array_push($headings, "Preis"); }
	$table->headings($headings);
	$result = mysqli_query($mysqlcon,$SQL_Ser);
        while($row = mysqli_fetch_array($result)) {
		$myrow=array($row['Platz'],get_short_Disziplin($row['Disziplin'],"No"), "", $row['R1'], $row['R2'], $row['R3'], $row['R4'], $row['R5'], $row['R6'], $row['R7'], $row['R8'], $row['R9'], $row['R10']);
		if ( $ShowPreise == 1 ) { array_push($myrow, $row['Preis']."€"); }
		$table->addRow($myrow);
	}
	$result = mysqli_query($mysqlcon,$SQL_SerP);
	while($row = mysqli_fetch_array($result)) {
		$myrow=array($row['Platz'],get_short_Disziplin($row['Disziplin'],"Yes"), $row['P'], $row['R1'], $row['R2'], $row['R3'], $row['R4'], $row['R5'], $row['R6'], $row['R7'], $row['R8'], $row['R9'], $row['R10']);
		if ( $ShowPreise == 1 ) { array_push($myrow, $row['Preis']."€"); }
		$table->addRow($myrow);
	}
	echo '<p align="center" class="font12"> Platzierung Serien Ergebnisse </p>';
	echo $table->render();

}

function show_teilnehmer_teiler($do_print,$StartNr) {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB,$ShowPreise;
	$headings=array("Pl.", "Disziplin", "Prämie", "T1", "T2", "T3", "T4", "T5", "T6", "T7", "T8", "T9", "T10");
	$SQL_Ser="SELECT Platz, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from Teiler_view WHERE StartNr='".$StartNr."'";
	$SQL_SerP="SELECT Platz, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, Preis from TeilerP_view WHERE StartNr='".$StartNr."'";
	if ( $do_print == 1) {
          $table_attr = array("class"=>"print");
        } else {
          $table_attr = array("class"=>"result");
        }
        $table = new Table($table_attr);

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }
	if ( $ShowPreise == 1 ) { array_push($headings, "Preis"); }
	$table->headings($headings);
	$result = mysqli_query($mysqlcon,$SQL_Ser);
        while($row = mysqli_fetch_array($result)) {
		$myrow=array($row['Platz'],get_short_Disziplin($row['Disziplin'],"No"), "", f1($row['R1']), f1($row['R2']), f1($row['R3']), f1($row['R4']), f1($row['R5']), f1($row['R6']), f1($row['R7']), f1($row['R8']), f1($row['R9']), f1($row['R10']));
		if ( $ShowPreise == 1 ) { array_push($myrow, $row['Preis']."€"); }
		$table->addRow($myrow);
	}
	$result = mysqli_query($mysqlcon,$SQL_SerP);
	while($row = mysqli_fetch_array($result)) {
		$myrow=array($row['Platz'],get_short_Disziplin($row['Disziplin'],"Yes"), f1($row['P']), f1($row['R1']), f1($row['R2']), f1($row['R3']), f1($row['R4']), f1($row['R5']), f1($row['R6']), f1($row['R7']), f1($row['R8']), f1($row['R9']), f1($row['R10']));
		if ( $ShowPreise == 1 ) { array_push($myrow, $row['Preis']."€"); }
		$table->addRow($myrow);
	}
	echo '<p align="center" class="font12"> Platzierung Teiler Ergebnisse </p>';
	echo $table->render();

}

function show_teilnehmer_scheiben($do_print,$StartNr) {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	$headings=array("Disziplin", "Ring", "Zehntel Ring", "B. Teiler", "B. Teiler Normiert", "Scheiben ID", "Zeitstempel");
	$SQL_Ser="SELECT Disziplin, Totalring, TotalRing01, BesterTeiler01, BesterTeilerN01, ScheibenID, Zeitstempel from Scheiben WHERE StartNr='".$StartNr."' order by Zeitstempel";
	if ( $do_print == 1) {
          $table_attr = array("class"=>"print");
        } else {
          $table_attr = array("class"=>"result");
        }
        $table = new Table($table_attr);

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }
	$table->headings($headings);
	$result = mysqli_query($mysqlcon,$SQL_Ser);
        while($row = mysqli_fetch_array($result)) {
		$dlink="<a href=index.php?TYP=Scheibe&ID=".$row['ScheibenID'].">Details</a>";
		$slink="<a href=index.php?TYP=Schussbild&ID=".$row['ScheibenID'].">Schussbild</a>";
		$table->addRow(array($row['Disziplin'], $row['Totalring'], f1($row['TotalRing01']), f1($row['BesterTeiler01']), f1($row['BesterTeilerN01']), $dlink.' '.$slink, $row['Zeitstempel']));
	}
	echo '<p align="center" class="font12"> Alle Scheiben </p>';
	echo $table->render();

}

function show_teilnehmer($do_print,$StartNr) {
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB,$ShowPreise;
	if ( $do_print == 1) {
          $table_attr = array("class"=>"print");
        } else {
          $table_attr = array("class"=>"result");
        }
	$table = new Table($table_attr);
	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
        // Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}
	$result = mysqli_query($mysqlcon,"SELECT Nachname, Vorname, Verein, Klasse, ErsteScheibe from Teilnehmer WHERE Nummer='".$StartNr."'");
	while($row = mysqli_fetch_array($result)) {
		$table->addRow(array("Name:", $row['Nachname']." ".$row['Vorname']));
		$table->addRow(array("Verein:", $row['Verein']));
		$table->addRow(array("Klasse:", $row['Klasse']));
		$table->addRow(array("Anmeldetag:", preg_replace("/(....)-(..)-(..) .*/","$3.$2.$1",$row['ErsteScheibe'])));
		if ( $ShowPreise == 1 ) {  $table->addRow(array("Preisgeld:", get_teilnehmerpreise($StartNr)." €")); }
		#echo $row['Nachname']." ".$row['Vorname'];
	}
	echo '<p align="center" class="font12"> Teilnehmerinfo </p>';
	echo $table->render();
	echo "<br>";
	show_teilnehmer_serien($do_print,$StartNr);
	echo "<br>";
	show_teilnehmer_teiler($do_print,$StartNr);
	echo "<br>";
	show_teilnehmer_scheiben($do_print,$StartNr);
}

