<?php 
# BASIC USAGE
#require('config.inc.php');

# Fire up an instance of the table class
#

function get_vereinsname($VereinsID)
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}
	$result = mysqli_query($mysqlcon,"SELECT VereinsName from Vereine where VereinsID='".$VereinsID."'");
	while($row = mysqli_fetch_array($result)) { $VereinsName=$row['VereinsName']; }
	if ($VereinsName == "") { $VereinsName="VereinsID unbekannt"; }
	return $VereinsName;
}

function get_preis($platz,$typ)
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}
	$result = mysqli_query($mysqlcon,"SELECT Preis from GesPreise where Platz='".$platz."' AND Typ='".$typ."'");
	while($row = mysqli_fetch_array($result)) { $Preis=$row['Preis']; }
	if ($Preis == "") { $Preis="-"; }
	return $Preis;
}

function show_vereine($do_print, $Sort, $Umbruch) 
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB,$ShowGesPreise;
	if ( $Sort <> "Punkte" && $Sort <> "Prozent" ) { $Sort = "Punkte"; }
	if ( $do_print == 1) { 
	  $table_attr = array("class"=>"print");
	} else {
	  $table_attr = array("class"=>"result");
	}
	$table = new Table($table_attr); 

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
	if (mysqli_connect_errno())
	{
	echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}


	# Define some headings
	$headings = array("Platz", "VereinsName", "Teilnehmer", "Jugend");
	if ( $Sort == "Punkte" ) {
		array_push($headings, "Punkte");
	}
	if ( $Sort == "Prozent" ) {
		array_push($headings, "Prozent");
	}
	if ( $ShowGesPreise == 1 ) {
		array_push($headings, "Preis");
	}

	# Add them to the class using the headings() function
	$table->headings($headings);

	# Create some rows

	$result = mysqli_query($mysqlcon,"SELECT VereinsID, VereinsName, Teilnehmer, Jugend, Punkte, Prozent from Vereine ORDER by Sort, " . $Sort . " desc");
	$Platz=1;
	while($row = mysqli_fetch_array($result))
	{      
		if ( $do_print == 1) {
			$Verein=$row['VereinsName'];
		} else {
			$Verein="<a href=index.php?TYP=Verein&ID=".$row['VereinsID'].">".$row['VereinsName']."</a>";
		}
		$line = array($Platz,$Verein, $row['Teilnehmer'], $row['Jugend']);
		if ( $Sort == "Punkte" ) { array_push($line, $row['Punkte']); }
		if ( $Sort == "Prozent" ) { array_push($line, $row['Prozent']); }
		if ( $ShowGesPreise == 1 ) { array_push($line, get_preis($Platz,$Sort));}
		#$table->addRow(array($Platz,$Verein, $row['Teilnehmer'], $row['Jugend'], $row['Punkte'], $row['Prozent']));
		$table->addRow($line);
		$Platz=$Platz+1;
	}

	if ( $Umbruch == 1 ) {
	  echo '<p align="center" class="font12p"> Vereine nach ' . $Sort . '</p>';
	} else {
	  echo '<p align="center" class="font12"> Vereine nach ' . $Sort . '</p>';
	}
	# To complete the table you need to run the render function
	echo $table->render();
	if ($do_print == 0) {echo "<a href=index.php?TYP=Vereine&PRINT=1> Druckversion </A>";}
}

function show_verein_teilnehmer($do_print, $VereinsID, $VereinsName, $Umbruch)
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	if ( $do_print == 1) { 
	  $table_attr = array("class"=>"print");
	} else {
	  $table_attr = array("class"=>"result");
	}
	$table = new Table($table_attr); 
	# Define some headings
	$headings = array("Nr", "Teilnehmer", "Klasse", "Anmeldung");

	# Add them to the class using the headings() function
	$table->headings($headings);

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
	if (mysqli_connect_errno())
	{
	echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}

	$result = mysqli_query($mysqlcon,"SELECT Nummer, Nachname, Vorname, Klasse, ErsteScheibe, Verein from Teilnehmer where VereinsID='" . $VereinsID . "' order by Nummer");
	while($row = mysqli_fetch_array($result))
	{      
		if ( $do_print == 1) {
                        $StartNrTXT=$row['Nummer'];
                } else {
                        $StartNrTXT="<A HREF=index.php?TYP=Teilnehmer&ID=".$row['Nummer'].">".$row['Nummer']."</A>";
                }
		$Datum_eng=preg_replace("/ .*/", "", $row['ErsteScheibe']);
		$Datum=preg_replace("/(....)-(..)-(..)/","$3.$2.$1",$Datum_eng);
		$table->addRow(array($StartNrTXT, $row['Nachname'] . " " . $row['Vorname'], $row['Klasse'], $Datum));
		if ($VereinsName == "") {$VereinsName=$row['Verein'];}
	}
	if ($VereinsName == "") { $VereinsName=get_vereinsname($VereinsID);}

	if ( $Umbruch == 1 ) {
	  echo '<p align="center" class="font12p"> ' . $VereinsName . '</p>';
	} else {
	  echo '<p align="center" class="font12">  ' . $VereinsName . '</p>';
	}
	# To complete the table you need to run the render function
	echo $table->render();
	if ($do_print != "1" ) {echo "<a href=index.php?TYP=Verein&ID=" . $VereinsID . "&PRINT=1> Druckversion </A>";}


}

function show_verein_platz_ser($do_print, $VereinsID, $VereinsName, $Umbruch)
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	if ($VereinsName == "") { $VereinsName=get_vereinsname($VereinsID);}
	if ( $do_print == 1) { 
	  $table_attr = array("class"=>"print");
	} else {
	  $table_attr = array("class"=>"result");
	}
	$table = new Table($table_attr); 
	# Define some headings
	$headings=array("Pl.", "Name", "Disziplin", "Prämie", "S1", "S2", "S3", "S4", "S5", "S6", "S7", "S8", "S9", "S10");

	# Add them to the class using the headings() function
	$table->headings($headings);

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
	if (mysqli_connect_errno())
	{
	echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}

	$SQL_Ser="SELECT Platz, Nachname, Vorname, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10 from Serien_view WHERE Verein='".$VereinsName."' order by Platz";
	$SQL_SerP="SELECT Platz, Nachname, Vorname, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10 from SerienP_view WHERE Verein='".$VereinsName."' order by Platz";
	$result = mysqli_query($mysqlcon,$SQL_Ser);
	while($row = mysqli_fetch_array($result)) {
                $table->addRow(array($row['Platz'], $row['Nachname']." ".$row['Vorname'],get_short_Disziplin($row['Disziplin'],"No"), "", $row['R1'], $row['R2'], $row['R3'], $row['R4'], $row['R5'], $row['R6'], $row['R7'], $row['R8'], $row['R9'], $row['R10']));
        }
        $result = mysqli_query($mysqlcon,$SQL_SerP);
        while($row = mysqli_fetch_array($result)) {
                $table->addRow(array($row['Platz'], $row['Nachname']." ".$row['Vorname'],get_short_Disziplin($row['Disziplin'],"Yes"), $row['P'], $row['R1'], $row['R2'], $row['R3'], $row['R4'], $row['R5'], $row['R6'], $row['R7'], $row['R8'], $row['R9'], $row['R10']));
        }
        echo '<p align="center" class="font12"> Platzierung Serien Ergebnisse </p>';
        echo $table->render();
}

function show_verein_platz_teiler($do_print, $VereinsID, $VereinsName, $Umbruch)
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	if ($VereinsName == "") { $VereinsName=get_vereinsname($VereinsID);}
	if ( $do_print == 1) { 
	  $table_attr = array("class"=>"print");
	} else {
	  $table_attr = array("class"=>"result");
	}
	$table = new Table($table_attr); 
	# Define some headings
	$headings=array("Pl.", "Name", "Disziplin", "Prämie", "T1", "T2", "T3", "T4", "T5", "T6", "T7", "T8", "T9", "T10");

	# Add them to the class using the headings() function
	$table->headings($headings);

	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
	if (mysqli_connect_errno())
	{
	echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}

	$SQL_Ser="SELECT Platz, Nachname, Vorname, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10 from Teiler_view WHERE Verein='".$VereinsName."' order by Platz";
	$SQL_SerP="SELECT Platz, Nachname, Vorname, Disziplin, P, R1, R2, R3, R4, R5, R6, R7, R8, R9, R10 from TeilerP_view WHERE Verein='".$VereinsName."' order by Platz";
	$result = mysqli_query($mysqlcon,$SQL_Ser);
	while($row = mysqli_fetch_array($result)) {
                $table->addRow(array($row['Platz'], $row['Nachname']." ".$row['Vorname'],get_short_Disziplin($row['Disziplin'],"No"), "", $row['R1'], $row['R2'], $row['R3'], $row['R4'], $row['R5'], $row['R6'], $row['R7'], $row['R8'], $row['R9'], $row['R10']));
        }
        $result = mysqli_query($mysqlcon,$SQL_SerP);
        while($row = mysqli_fetch_array($result)) {
                $table->addRow(array($row['Platz'], $row['Nachname']." ".$row['Vorname'],get_short_Disziplin($row['Disziplin'],"Yes"), $row['P'], $row['R1'], $row['R2'], $row['R3'], $row['R4'], $row['R5'], $row['R6'], $row['R7'], $row['R8'], $row['R9'], $row['R10']));
        }
        echo '<p align="center" class="font12"> Platzierung Teiler Ergebnisse </p>';
        echo $table->render();
}

function show_all_verein_teilnehmer($do_print)
{
	global $MySqlHost,$MySqlUser,$MySqlPw,$MySqlDB;
	$mysqlcon=mysqli_connect("$MySqlHost","$MySqlUser","$MySqlPw","$MySqlDB");
	// Check connection
        if (mysqli_connect_errno())
        {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}
	$result = mysqli_query($mysqlcon,"SELECT VereinsID, VereinsName from Vereine order by VereinsID");
	while($row = mysqli_fetch_array($result))
	{
		show_verein_teilnehmer($do_print, $row['VereinsID'], $row['VereinsName'],"1");
	}
	if ($do_print != "1" ) { echo "<br><a href=index.php?TYP=Verein-all&PRINT=1> Druckversion - Alle Vereine </A>";}
}

?>
