#!/usr/bin/perl
package gsConfig;
use Exporter;

our @ISA='Exporter';
our @EXPORT=qw($LogFile $LogLevel $CopyMode @SMDB @SSMDB2 @WERTUNGDB $VereinsIDrange $Gastgeberverein $STARTERLISTEN @Jugendklassen %Teilnehmerpunkte $SlMultiplikator %TeilerFaktor $AnzRingPraemie $AnzTeilerPraemie %RingDisziplin %Ring01Disziplin $FuellRing $FuellTeiler %MeisterWert %PunktWert $Koenig_excl);
# Allgemeine Einstellungen
$LogFile='/tmp/gs2020.log';
$LogLevel=8;
# Datenbank Connects
# Meyton Server
@SMDB = ('meyton','SMDB','mc4hct','192.168.10.200',3306);
@SSMDB2 = ('meyton','SSMDB2','mc4hct','192.168.10.200',3306);
# DB auf Webserver
@WERTUNGDB = ('meyton','gs2020','mc4hct','localhost',3306);
# Vereine
$VereinsIDrange="418001;418029";
$Gastgeberverein="418017";  
%Teilnehmerpunkte= (
  5 => ['2019-01-01 00:00:01', '2019-03-24 23:59:59'],
  4 => ['2019-03-25 00:00:01', '2019-03-28 23:59:59'],
  3 => ['2019-03-29 00:00:01', '2019-03-31 23:59:59']
);
# Auszuwertende Starterlisten
#$STARTERLISTEN = 'Liste1;Liste2;Liste3';
$STARTERLISTEN = 'Traditionsschiessen-2019';
$Koenig_excl='%Koenig%';
$CopyMode="Initial";
#$CopyMode="Inc";
# Multiplikator sollte bei einer Staterliste 0 sein.
#$SlMultiplikator = 100;
$SlMultiplikator = 0;
%TeilerFaktor= ( 'LG Kombi'=>1, 'LP Kombi'=>0.357, 'LGA Kombi'=>1.6, 'LPA Kombi'=>0.571 );
$AnzRingPraemie=5;
$AnzTeilerPraemie=5;
%RingDisziplin=( 'LG Kombi'=>1, 'LP Kombi'=>1 );
%Ring01Disziplin=( 'LGA Kombi'=>1, 'LPA Kombi'=>1 );
$FuellRing=0;
$FuellTeiler=99999;
# Generierung Serienergebnisse
%MeisterWert= (
  'M-LG-Meister' => ['02 LG Meister', 'Ring', 'LG Kombi'],
  'M-LP-Meister' => ['04 LP Meister', 'Ring', 'LP Kombi'],
  'M-Aufl-Meister' => ['06 LG-LP Auflage', 'Ring01', 'LGA Kombi;LPA Kombi']
);

# Generierung Teilerergebnisse
# Syntax ZielDisziplin => ['Kurzbezeichnung', 'Teiler01|TeilerN01' 'Disziplin1;Disziplin2;..' ]
#  'P-LP-Mixed' => ['XX Mixed', 'TeilerN01', 'LP20 Jahreswertung;LP40 Jahreswertung;LP20 Vereinsmeister;LP40 Vereinsmeister;LP40 Training;LP 40', ''],
#  'P-Mixed' => ['XX All-Mixed', 'TeilerN01', 'LG20 Jahreswertung;LG40 Jahreswertung;LG20 Vereinsmeister;LG40 Vereinsm.;LG40 Training;LG 40;LP20 Jahreswertung;LP40 Jahreswertung;LP20 Vereinsmeister;LP40 Vereinsmeister;LP40 Training;LP 40;LG30 Jahreswertung;LG30 Vereinsmeister', ''],
%PunktWert= (
  'P-LG-Punkt' => ['01 LG Punkt', 'Teiler01', 'LG Kombi'],
  'P-LP-Punkt' => ['03 LP Punkt', 'Teiler01', 'LP Kombi'],
  'P-Aufl-Punkt' => ['05 LG-LP Auflage', 'Teiler01', 'LGA Kombi;LPA Kombi']
);
1;
