package gsFunctions;
use strict;
use warnings;
use Exporter;
use gsConfig;

our @ISA = qw( Exporter );
#our @EXPORT_OK = qw( doLog );
our @EXPORT = qw( doLog getDateTime get_einst_str);

sub getDateTime {
  my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
  my $now = sprintf("%04d-%02d-%02d %02d:%02d:%02d", $year+1900, $mon+1, $mday, $hour, $min, $sec);
  return $now;
}

sub doLog {
  my $Level=$_[0];
  my $Message=$_[1];
  if  ($Level <= $LogLevel) {
    open(my $fh, '>>:encoding(UTF-8)', $LogFile);
    my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
    my $now = sprintf("%04d-%02d-%02d %02d:%02d:%02d", $year+1900, $mon+1, $mday, $hour, $min, $sec);
    print $fh "$now: $Message\n";
    close $fh;
  }
}

sub get_einst_str {
	my $Name = $_[0];
	my ($db1_user, $db1_name, $db1_passwd, $db1_host, $db1_port) = @WERTUNGDB;
	my $dbh1 = DBI->connect("DBI:mysql:database=$db1_name;host=$db1_host;port=$db1_port", "$db1_user", "$db1_passwd");
	my $selsql="SELECT String from Einstellungen WHERE Name='$Name'";
	my $db1_query = $dbh1->prepare($selsql);
	$db1_query->execute() or die $db1_query->err_str;
	my ($String)=$db1_query->fetchrow_array();
	return $String;
}

sub get_einst_zeit {
	my $Name = $_[0];
	my ($db1_user, $db1_name, $db1_passwd, $db1_host, $db1_port) = @WERTUNGDB;
	my $dbh1 = DBI->connect("DBI:mysql:database=$db1_name;host=$db1_host;port=$db1_port", "$db1_user", "$db1_passwd");
	my $selsql="SELECT Zeit from Einstellungen WHERE Name='$Name'";
	my $db1_query = $dbh1->prepare($selsql);
	$db1_query->execute() or die $db1_query->err_str;
	my ($Zeit)=$db1_query->fetchrow_array();
	return $Zeit;
}
1;
